WordPress
Set a WordPress user's password
POST
Permission: wp.users
apiTokenheader
AuthorizationBearer <token>An API token (mwp_…) from Settings → API tokens. Only accepted on this host.
site_id*Site IdFormat
uuidwp_user_id*Wp User Idapplication/json- body
new_password*New PasswordNew password for the WordPress user
Length
8 <= length <= 100Successful Response
application/json- response
success*booleandata*The result; on an error, details such as code and permission.
message*stringstatus_code*integertimestamp*stringFormat
date-timemeta?|nullcurl -X POST "https://example.com/v1/sites/497f6eca-6276-4993-bfeb-53cbbbba6f08/wp/users/0/password" \ -H "Content-Type: application/json" \ -d '{ "new_password": "stringst" }'{ "message": "string", "status_code": 0, "timestamp": "2019-08-24T14:15:22Z", "meta": {}, "success": true, "data": { "wp_user_id": 0 }}